#!/bin/bash

if test -z "$JMARECEIPT_ENV" ; then
    JMARECEIPT_ENV="/etc/jma-receipt/jma-receipt.env"
fi
if ! test -f "$JMARECEIPT_ENV" ; then
    exit 0
fi

# EtchǻѤ륳UTF-8ؤѴ
# echo message (default character-code EUC)
function echomsg() {
  if [ "${LANG}" = "ja_JP.UTF-8" ] || [ "${LANG}" = "ja_JP.UTF8" ] ||
      [ "${LANG}" = "ja_JP.utf8" ]; then
    if [ -z $2 ]; then
      echo `echo $1 | nkf -wE`
    else
      echo -n `echo $1 | nkf -wE`
    fi 
  else
    if [ -z $2 ]; then
      echo $1
    else
      echo -n $1
    fi
  fi
  return 0
}

usrname=`whoami`

# check user
if [ $usrname != "root" ] ; then
  echomsg "root桼Ǽ¹ԤƤ"
  exit 1
fi

if [ $# -ne 1 ]; then
  echomsg "ѥ᡼ <hospnum> ꤷƤ"
  exit 1
else
  HOSPNUM="$1"
fi

# start message
echomsg "ץ ץ 곫..."

. $JMARECEIPT_ENV

#HOSPNUM="01"
POST=`pwd`

PREFNAME=prgoption
PROGRAMID=PRGOPTIONSET

#cd ../scripts/prgoption

# compile COBOL programs
MODULES=${PROGRAMID}.CBL
for f in $MODULES; do
  if test "x`echo -n $f | grep 'CBL$'`" != "x"; then
    m=`echo $f | sed 's/CBL$/so/'`
    echo -n "Building ${m}..."
    su orca -c "${COBOL} ${COBOLFLAGS} -o ${SITELIBDIR}/${m} \
         -I ${PATCHCOPYDIR} \
         -I ${COPYDIR} \
         -I ${SITESRCDIR}/cobol/copy \
        ${f}"
    echo "done"
  fi
done

#------------------------------------------------------
#     ɡ1910Ͽ
#     NOWYMD     
#     NOWHMS     ߻
#     NOWDIR     ߥǥ쥯ȥ
#     KAKUNASHI  ĥҤʤե̾
#                ĥҡexp or opt
#------------------------------------------------------
NOWYMD=$(date +"%Y%m%d")
NOWHMS=$(date +"%H%M%S")
NOWDIR=$(pwd)

FILENAME=(`ls | grep exp$`)
COUNT=(`ls | grep exp$ | wc -w`)
SU=0

ln -s $SYSCONFDIR/dbgroup.inc dbgroup.inc

COB_LIBRARY_PATH="$SITELIBDIR":"$PATCHLIBDIR":"$ORCALIBDIR":"PANDALIB"
export COB_LIBRARY_PATH

#եοϿץ¹Ԥ
while test ${SU} -lt ${COUNT}
do
    KAKUNASHI=`echo ${FILENAME[${SU}]} | sed -e 's/.exp//'`
    su orca -c "$DBSTUB -dir ${NOWDIR}/directory -bd $PREFNAME $PROGRAMID -parameter ${HOSPNUM},${NOWYMD},${NOWHMS},${NOWDIR},${KAKUNASHI},exp"
    SU=$(expr ${SU} + 1)
done

#optեƱͤ˹Ԥ
FILENAME=(`ls | grep opt$`)
COUNT=(`ls | grep opt$ | wc -w`)
SU=0

while test ${SU} -lt ${COUNT}
do
    KAKUNASHI=`echo ${FILENAME[${SU}]} | sed -e 's/.opt//'`
    su orca -c "$DBSTUB -dir ${NOWDIR}/directory -bd $PREFNAME $PROGRAMID -parameter ${HOSPNUM},${NOWYMD},${NOWHMS},${NOWDIR},${KAKUNASHI},opt"
    SU=$(expr ${SU} + 1)
done

# so del
rm ${SITEDIR}/${PROGRAMID}.so
rm dbgroup.inc

cd $POST

# end message
sync
echomsg "ץ ץ 꽪λ!!"
exit 0
