#!/bin/bash

usrname=`whoami`

# user check
if [ $usrname != "root" ] ; then
  echo -e "\nエラー：rootユーザで実行してください\n"
  exit 1
fi

# Env. Check

os=`cat /etc/issue | awk '{print $1}'`
ver=`cat /etc/issue | awk '{print $2}'`
mver=`echo $ver | cut -c 1-5`

#if [ $os = "Ubuntu" ] && [ $mver = "12.04" ]; then
#	fontmap=`find /var -name Fontmap`
#fi

if [ $os = "Ubuntu" ] ; then
	if [ $mver = "12.04" ] ; then
		#env_Fontmap01=`grep '\/CODE39' $fontmap -c`
		env_Fontmap01=`ls /etc/defoma/hints/CODE39.hints | grep 'CODE39' -c`
		if [ $env_Fontmap01 -ne 0 ] ; then
			echo -e "\nエラー：既にフォント環境が変更されています。\n"
			echo -e "\n　　　　続行すると、現在の環境を変更する恐れがありますので、"
			echo -e "\n　　　　インストールを中止します。(ver.12.04)\n"
			exit 1
		fi
	else
		if [ $mver = "14.04" ] ; then
			env_Fontmap01=`ls /usr/local/share/fonts/CODE39.ttf | grep 'CODE39' -c`
 			if [ $env_Fontmap01 -ne 0 ] ; then
				echo -e "\nエラー：既にフォント環境が変更されています。\n"
				echo -e "\n　　　　続行すると、現在の環境を変更する恐れがありますので、"
				echo -e "\n　　　　インストールを中止します。(ver.14.04)\n"
				exit 1
			fi
		else
			echo -e "\nエラー：このOSには対応しておりません\n"
			exit 1
		fi
	fi
else
	echo -e "\nエラー：このOSには対応しておりません\n"
	exit 1
fi

echo "Technical BarCodeフォント インストール中..."

# pakege install

if [ $mver = "12.04" ] ; then

	# file copy
	if [ `ls /usr/share/fonts/type1/ | grep technical -c` -eq 0 ] ; then
		mkdir /usr/share/fonts/type1/technical
	fi

	cp ./font/CODE39.afm /usr/share/fonts/type1/technical/
	cp ./font/CODE39.pfb /usr/share/fonts/type1/technical/
	cp ./data/CODE39.hints /etc/defoma/hints/

	# font install
	defoma-font -vt register-all /etc/defoma/hints/CODE39.hints
	#defoma-font -vt unregister-all /etc/defoma/hints/CODE39.hints

	sync

else
	if [ $mver = "14.04" ] ; then

		cp font/CODE39.ttf /usr/local/share/fonts/
		chmod 777 /usr/local/share/fonts/CODE39.ttf
		fc-cache -fv

		sync
	fi
fi
echo "Technical BarCodeフォント インストール終了!!"
exit 0
