#!/bin/bash

usrname=`whoami`

# user check
if [ $usrname != "root" ] ; then
  echo -e "\nエラー：rootユーザで実行してください\n"
  exit 1
fi

# Env. Check

os=`cat /etc/issue | awk '{print $1}'`
ver=`cat /etc/issue | awk '{print $2}'`
mver=`echo $ver | cut -c 1-5`

#if [ $os = "Ubuntu" ] && [ $mver = "12.04" ]; then
#	fontmap=`find / -name Fontmap`
#fi

if [ $os = "Ubuntu" ] ; then
	if [ $mver = "12.04" ] ; then
		#env_Fontmap01=`grep '\/Custom3' $fontmap -c`
		env_Fontmap01=`ls /etc/defoma/hints/CODE39.hints | grep 'CODE39' -c`
		if [ $env_Fontmap01 -eq 0 ] ; then
			echo -e "\nエラー：既にフォントがアンインストールされている可能性があります。\n"
			echo -e "\n　　　　続行すると、現在の環境を変更する恐れがありますので、"
			echo -e "\n　　　　アンインストールを中止します。(ver.12.04)\n"
			exit 1
		fi
	else
		if [ $mver = "14.04" ] ; then
			env_Fontmap01=`ls /usr/local/share/fonts/CODE39.ttf | grep 'CODE39' -c` 			if [ $env_Fontmap01 -eq 0 ] ; then
				echo -e "\nエラー：既にフォント環境が変更されています。\n"
				echo -e "\n　　　　続行すると、現在の環境を変更する恐れがありますので、"
				echo -e "\n　　　　アンインストールを中止します。(ver.14.04)\n"
				exit 1
			fi
		else
			echo -e "\nエラー：このOSには対応しておりません\n"
			exit 1
		fi
	fi
else

	echo -e "\nエラー：このOSには対応しておりません\n"
	exit 1
fi

echo "Technical BarCodeフォント アンインストール中..."

if [ $mver = "12.04" ] ; then
	# font uninstall

	defoma-font -vt unregister-all /etc/defoma/hints/CODE39.hints

	# file delete

	rm /etc/defoma/hints/CODE39.hints
	rm /usr/share/fonts/type1/technical/CODE39.*

	if [ `ls /usr/share/fonts/type1/technical/ | grep pfb -c` -eq 0 ] ; then
		rm -r /usr/share/fonts/type1/technical
	fi
	sync
else
	if [ $mver = "14.04" ] ; then

		# file delete
		rm /usr/local/share/fonts/CODE39.ttf
		fc-cache -fv
		#
	fi
fi
echo "Technical BarCodeフォント アンインストール終了!!"
exit 0
